<?php
// pievieno datubazes savienojumu
require_once 'db_connection.php';

// nolasam e-pastu un paroli no POST pieprasījuma
$input_email = $_POST['email'];
$input_password = $_POST['password'];

// sagatavo SQL pieprasījumu, lai iegūtu lietotāju datus
$sql = "SELECT u.email_id, e.username, u.password, e.is_verified, e.level, e.class_id
        FROM users u 
        JOIN emails_v e ON u.email_id = e.id 
        WHERE e.email = :email";

$stmt = $pdo->prepare($sql);
$stmt->bindParam(':email', $input_email);
$stmt->execute();
$user = $stmt->fetch(PDO::FETCH_ASSOC);

// pārbauda, vai lietotājs pastāv
if ($user) {
    // pārbauda, vai parole ir pareiza un vai e-pasts ir verificēts
    if (password_verify($input_password, $user['password']) && $user['is_verified'] == 1) {
        // saglabā lietotāja informāciju sesijā
        $_SESSION['user_id'] = $user['email_id'];
        $_SESSION['username'] = $user['username'];
        $_SESSION['email_verified'] = $user['is_verified'];
        $_SESSION['user_level'] = $user['level'];
		$_SESSION['class_id'] = $user['class_id'];

        // atgriež veiksmīgu atbildi
        echo json_encode(['success' => true]);
    } else {
        // ja parole nav pareiza
        echo json_encode(['success' => false, 'message' => 'Nepareiza parole!']);
    }
} else {
    // ja e-pasts nav pareizs vai nav verificēts
    echo json_encode(['success' => false, 'message' => 'Nepareizs e-pasts vai e-pasts nav verificēts!']);
}
?>
